<?php
	include '../db/db.php';
	session_start();
	$log=htmlspecialchars(trim($_SESSION['user']), ENT_QUOTES, 'UTF-8');
	if (empty($log)) {
	     
	  $redirectUrl = "index.php";
	  echo "<script type=\"text/javascript\">";
	  echo "window.location.href = '$redirectUrl'";
	  echo "</script>";
		 
	}else{

	  $sqlu="SELECT * FROM details_of_users WHERE user='$log' and val='1'";
	  $resultu=mysqli_query($conn, $sqlu);
	  $countu=mysqli_num_rows($resultu);
	  
	if($countu==1){

	  $sqlc="SELECT * FROM details_of_users where user='$log'";
	  $resultc=mysqli_query($conn, $sqlc);
	  while ($rowc = mysqli_fetch_array($resultc)){
	  $name=$rowc['id'];
	}

	} else{
	  $redirectUrl = "index.php";
	  echo "<script type=\"text/javascript\">";
	  echo "window.location.href = '$redirectUrl'";
	  echo "</script>";

	}}


	if (array_key_exists('main_cat', $_POST)) {
		/*echo $_POST['uname'];*/
		$cat = htmlspecialchars(trim($_POST['cat']), ENT_QUOTES, 'UTF-8');

		$sql = mysqli_query($conn, "INSERT INTO options VALUES (NULL, '$cat')");	
		
		if ($sql) {
			$response['status'] = 'ok';
		}else{
			$response['status'] = 'error';
		}
		
		echo json_encode($response);
		//echo "In";
	}
	if (array_key_exists('del_cat', $_POST)) {
		/*echo $_POST['uname'];*/
		$id = htmlspecialchars(trim($_POST['id']), ENT_QUOTES, 'UTF-8');
		
		$sql2 = mysqli_query($conn, "DELETE FROM options WHERE id=$id");	
		
		if ($sql2) {
			$response['status'] = 'ok';
		}else{
			$response['status'] = 'error';
		}
	
		echo json_encode($response);
		//echo "In";
	}


	if (array_key_exists('update_cat', $_POST)) {
		/*echo $_POST['uname'];*/
		$id = htmlspecialchars(trim($_POST['id']), ENT_QUOTES, 'UTF-8');
		$val = htmlspecialchars(trim($_POST['val']), ENT_QUOTES, 'UTF-8');
		$sql = "UPDATE options SET name='$val' WHERE id= '$id'";

		$result = mysqli_query($conn, $sql);
		
		if ($result) {
			$response['status'] = 'ok';
		}else{
			$response['status'] = 'error';
		}
		
		echo json_encode($response);
		//echo "In";
	}



	if (array_key_exists('load_cat', $_POST)) {
		/*echo $_POST['uname'];*/
		$id = htmlspecialchars(trim($_POST['id']), ENT_QUOTES, 'UTF-8');

		$sql = mysqli_query($conn, "SELECT name FROM options WHERE id=$id");	
		$row = mysqli_fetch_assoc($sql);
		
		echo json_encode($row);
		//echo "In";
	}
?>